package com.yiqi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum ClothOrderFlowStatus implements CodeEnum{
    waitingForWash("0", "待入厂"),
    inFactory("1", "已入厂"),
    checkCloth("2", "已检查"),
    outFactory("3", "已出厂"),
    hangering("4", "已上挂"),
    hasTake("5","已取衣"),
    deleteInFactory("11","取消入厂"),
    reWash("12", "工厂重洗"),
    refund("-1","工厂撤单"),
    rewashStore("-2","门店返洗"),
    ;

    private final String code;
    private final String info;

    ClothOrderFlowStatus(String code, String info)
    {
        this.code = code;
        this.info = info;
    }

    @Override
    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }
}
